summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD22
2 files changed, 23 insertions, 15 deletions
diff --git a/.SRCINFO b/.SRCINFO
index f5c5c3ece64..5deca961e06 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = pigeon-qt
pkgdesc = Cryptocurrency wallet(QT)
pkgver = 0.15.99
- pkgrel = 3
+ pkgrel = 6
url = http://pigeoncoin.org/
install = pigeon-qt.install
arch = i686
@@ -9,16 +9,18 @@ pkgbase = pigeon-qt
license = MIT
makedepends = boost
makedepends = qt5-tools
+ depends = openssl-1.0
depends = boost-libs
- depends = qt5-base
+ depends = libevent
depends = db4.8
- depends = zeromq
- depends = miniupnpc
- depends = qrencode
+ depends = qt5-base
depends = protobuf
- depends = libevent
+ optdepends = miniupnpc: Automatic UPnP port mapping
+ optdepends = qrencode: For generating QR codes within the GUI
+ optdepends = zeromq: Send notifications via zeromq
conflicts = pigeon
- source = pigeon-qt::git+http://github.com/Pigeoncoin/pigeoncoin.git#v0.15.99.3
+ conflicts = pigeond
+ source = pigeon-qt::git+http://github.com/Pigeoncoin/pigeoncoin.git#tag=v0.15.99.3
source = pigeon-qt.desktop
sha256sums = SKIP
sha256sums = 331bd8fb38aae6d94a0e7494ff183f8d918eeb6d143ffcfa8ca61546338f265d
diff --git a/PKGBUILD b/PKGBUILD
index 802f9f5f15a..9d7e2f5eb23 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -2,14 +2,15 @@
pkgname=pigeon-qt
pkgver=0.15.99
-pkgrel=3
+pkgrel=6
arch=('i686' 'x86_64')
url="http://pigeoncoin.org/"
license=('MIT')
pkgdesc="Cryptocurrency wallet(QT)"
-depends=(boost-libs qt5-base db4.8 zeromq miniupnpc qrencode protobuf libevent)
+depends=('openssl-1.0' 'boost-libs' 'libevent' 'db4.8' 'qt5-base' 'protobuf')
+optdepends=('miniupnpc: Automatic UPnP port mapping' 'qrencode: For generating QR codes within the GUI' 'zeromq: Send notifications via zeromq')
makedepends=(boost qt5-tools)
-conflicts=(pigeon)
+conflicts=('pigeon' 'pigeond')
install=pigeon-qt.install
source=("${pkgname%-git}::git+http://github.com/Pigeoncoin/pigeoncoin.git#tag=v0.15.99.3"
"$pkgname.desktop")
@@ -17,17 +18,22 @@ sha256sums=('SKIP'
'331bd8fb38aae6d94a0e7494ff183f8d918eeb6d143ffcfa8ca61546338f265d')
build() {
- cd "$srcdir/$pkgname"
+ cd "$srcdir/$pkgname" || exit
+ find . -type f -iname "*.sh" -exec chmod +x {} \;
+ export PKG_CONFIG_PATH="/usr/lib/openssl-1.0/pkgconfig"
+ export CXXFLAGS+=" -I/usr/include/openssl-1.0"
+ export LDFLAGS+=" -L/usr/lib/openssl-1.0 -lssl"
./autogen.sh
- ./configure --with-gui=qt5
- make
+ ./configure --prefix=/usr --with-pic --disable-shared --enable-cxx \
+ --disable-bench --disable-tests
+ make ${MAKEFLAGS}
}
package() {
install -Dm644 pigeon-qt.desktop "$pkgdir"/usr/share/applications/pigeon.desktop
- cd "$srcdir/$pkgname"
- install -Dm755 src/qt/pigeon-qt "$pkgdir"/usr/bin/pigeon-qt
+ cd "$srcdir/$pkgname" || exit
install -Dm644 share/pixmaps/pigeon128.png "$pkgdir"/usr/share/pixmaps/pigeon128.png
install -Dm644 COPYING "$pkgdir/usr/share/licenses/$pkgname/COPYING"
+ make DESTDIR="${pkgdir}" install
}